AirPort Extreme updated for Intel Macs

Apple has posted AirPort Extreme Update 2007-003. It’s available for download from Apple’s Web site and from the Software Update system preference.

Apple recommends the update for all Intel-based Macintoshes. It includes compatibility updates for third-party access points configured to use Wi-Fi Protected Access (WPA) or WPA2 security protocols.

System requirements to apply the patch include Mac OS X v10.4.8, an Intel-based Mac and AirPort Extreme Update 2007-002.

This story, "AirPort Extreme updated for Intel Macs" was originally published by PCWorld.

  
Shop Tech Products at Amazon